Die History vom 9.7.24

```bash
    1  sudo apt update 
    2  exit
    3  sudo lxc-create --name bobo --template=ubuntu
    4  sudo lxc-create --name baba --template=ubuntu
    5  sudo lxc-start --name bobo
    6  sudo lxc-start --name baba
    7  sudo lxc-ls --fancy
    8  curl 10.0.3.228
    9  sudo lxc-ls --fancy
   10  ssh ubuntu@10.0.3.228
   11  sudo lxc-ls --fancy
   12  ssh ubuntu@10.0.3.137
   13  history 
   14  ssh ubuntu@10.0.3.137
   15  sudo lxc-ls --fancy
   16  sudo lxc-stop --name=baba
   17  sudo lxc-stop --name=bobo
   18  sudo lxc-ls --fancy
   19  sudo lxc-destroy --name baba
   20  sudo lxc-ls --fancy
   21  sudo lxc-destroy --name bobo
   22  sudo lxc-ls --fancy
   23  history 
   24  sudo lxc-create --name baba --template=ubuntu
   25  sudo lxc-create --name bobo --template=ubuntu
   26  sudo lxc-ls --fancy
   27  sudo lxc-start --name baba
   28  sudo lxc-start --name bobo
   29  sudo lxc-ls --fancy
   30  ssh ubuntu@10.0.3.128
   31  ssh ubuntu@10.0.3.29
   32  sudo lxc-ls -f
   33  exit
   34  sudo lxc-ls --fancy
   35  sudo lxc-start --name bobo
   36  sudo lxc-start --name baba
   37  sudo lxc-ls --fancy
   38  exit
   39  sudo lxc-ls --fancy
   40  sudo shutdown 
   41  sudo lxc-ls --fancy
   42  sudo lxc-start --name baba
   43  ssh ubuntu@10.0.3.29
   44  sudo lxc-ls --fancy
   45  ssh ubuntu@10.0.3.128
   46  sudo docker run hello-world
   47  docker ps
   48  docker ps -a
   49  sudo docker run hello-world
   50  docker ps -a
   51  docker system prune 
   52  docker ps -a
   53  sudo docker run hello-world
   54  docker ps -a
   55  sudo docker run --rm hello-world
   56  docker ps -a
   57  docker system prune 
   58  sudo docker run --rm hello-world
   59  docker ps -a
   60  docker images ls
   61  docker image ls
   62  git clone https://github.com/SensorsIot/IOTstack.git
   63  cd IOTstack/
   64  ./install.sh 
   65  pip3 uninstall -y docker-compose
   66  sudo pip3 uninstall -y docker-compose
   67  cd IOTstack/
   68  ./install.sh 
   69  apt policy python3
   70  apt policy python3.9
   71  sudo apt install python3.9
   72  history 
   73  python3 --vesion
   74  python3 --version
   75  ./install.sh 
   76  sudo update-alternatives python3
   77  sudo update-alternatives -h
   78  sudo update-alternatives
   79  which python3.9
   80  sudo update-alternatives python3 /usr/bin/python3.9
   81  sudo update-alternatives --set python3 /usr/bin/python3.9
   82  sudo apt upgrade 
   83  sudo update-alternatives --list
   84  sudo update-alternatives list
   85  sudo update-alternatives --config python 
   86  sudo update-alternatives --install /usr/bin/python python /usr/bin/python3.9 
   87  ls -l /usr/bin/python
   88  sudo update-alternatives --install /usr/bin/python python /usr/bin/python3.9 
   89  sudo update-alternatives --install /usr/bin/python python /usr/bin/python3.9 2
   90  sudo update-alternatives --config python 
   91  python --version
   92  history 
   93  ./install.sh 
   94  python3 -m pip install --upgrade pip
   95  history 
   96  ./install.sh 
   97  ./menu.sh 
   98  history 
   99  ./menu.sh 
  100  docke ps
  101  docker ps
  102  vi docker-compose.yml 
  103  exit
```

Hier die Erklärungen von tgpt:

Die Bash-History enthält eine Reihe von Befehlen, die auf einem Linux-System ausgeführt wurden. Hier ist eine Er
klärung der einzelnen Zeilen:

1. sudo apt update: Aktualisiert die Paketlisten des APT-Paketmanagers, um Informationen über verfügbare Softwpakete zu erhalten.
2. exit: Beendet das aktuelle Shell-Sitzungsfenster oder den aktuellen Terminal-Prozess.
3. sudo lxc-create --name bobo --template=ubuntu: Erstellt ein neues LXC (Linux Container) mit dem Namen "boo" unter Verwendung des Ubuntu-Templates.
4. sudo lxc-create --name baba --template=ubuntu: Ähnlich wie die vorherige Zeile, erstellt dies einen weiteren Container namens "baa".
5. sudo lxc-start --name bobo: Startet den LXC-Container "boo".
6. sudo lxc-start --name baba: Startet den LXC-Container "baa".
7. sudo lxc-ls --fancy: Listet alle LXC-Container auf und zeigt zusätzliche Informationen wie ihren Status an.
8. curl 10.0.3.228: Sendet eine HTTP-Anfrage an die angegebene IP-Adresse, um die Inhalte der Webseite abzur
ufen.
9. ssh ubuntu@10.0.3.228: Versucht, sich über SSH mit dem Benutzer "ubuntu" am Ziel "10.0.3.228" zu verbinden.
10. sudo lxc-ls --fancy: Wiederholt die Liste der LXC-Container.
11. ssh ubuntu@10.0.3.137: Eine weitere SSH-Verbindung, diesmal zum Ziel "10.0.3.137".
12. history: Zeigt die bisher ausgeführten Befehle im Terminal an.
13. sudo lxc-ls --fancy: Wiederholt die Liste der LXC-Container.
14. sudo lxc-stop --name=baba: Stoppt den LXC-Container "baa".
15. sudo lxc-stop --name=bobo: Stoppt den LXC-Container "boo".
16. sudo lxc-ls --fancy: Wiederholt die Liste der LXC-Container.
17. sudo lxc-destroy --name baba: Löscht den LXC-Container "baa".
18. sudo lxc-ls --fancy: Wiederholt die Liste der LXC-Container.
19. sudo lxc-destroy --name bobo: Löscht den LXC-Container "boo".
20. sudo lxc-ls --fancy: Wiederholt die Liste der LXC-Container.
21. history: Zeigt erneut die Befehlsliste an.
22. sudo lxc-create --name baba --template=ubuntu: Erstellt wieder einen neuen LXC-Container namens "baa".
23. sudo lxc-create --name bobo --template=ubuntu: Erstellt einen weiteren Container namens "boo".
24. sudo lxc-ls --fancy: Wiederholt die Liste der LXC-Container.
25. sudo lxc-start --name baba: Startet den neu erstellten Container "baa".
26. sudo lxc-start --name bobo: Startet den neu erstellten Container "boo".
27. sudo lxc-ls --fancy: Wiederholt die Liste der LXC-Container.
28. ssh ubuntu@10.0.3.128: Eine weitere SSH-Verbindung, diesmal zum Ziel "10.0.3.128".
29. ssh ubuntu@10.0.3.29: Eine weitere SSH-Verbindung, diesmal zum Ziel "10.0.3.29".
30. sudo lxc-ls -f: Falsche Syntax, sollte wahrscheinlich sudo lxc-ls --fancy sein.
31. exit: Beendet das aktuelle Shell-Sitzungsfenster oder den aktuellen Terminal-Prozess.
32. sudo lxc-ls --fancy: Wiederholt die Liste der LXC-Container.
33. sudo lxc-start --name bobo: Startet den LXC-Container "boo".
34. sudo lxc-start --name baba: Startet den LXC-Container "baa".
35. sudo lxc-ls --fancy: Wiederholt die Liste der LXC-Container.
36. exit: Beendet das aktuelle Shell-Sitzungsfenster oder den aktuellen Terminal-Prozess.
37. sudo lxc-ls --fancy: Wiederholt die Liste der LXC-Container.
38. sudo shutdown: Schaltet das System herunter.
39. sudo lxc-ls --fancy: Wiederholt die Liste der LXC-Container nach dem Neustart.
40. sudo lxc-start --name baba: Startet den LXC-Container "baa".
41. ssh ubuntu@10.0.3.29: Eine weitere SSH-Verbindung, diesmal zum Ziel "10.0.3.29".
42. sudo lxc-ls --fancy: Wiederholt die Liste der LXC-Container.
43. ssh ubuntu@10.0.3.128: Eine weitere SSH-Verbindung, diesmal zum Ziel "10.0.3.128".
44. sudo docker run hello-world: Führt das "hello-world"-Image im Docker-Container aus, um zu testen, ob
 Docker korrekt installiert ist.
45. docker ps: Listet laufende Docker-Container auf.
46. docker ps -a: Listet alle Docker-Container auf, einschließli gestoppter.
47. sudo docker run hello-world: Führt erneut das "hello-world"-Image aus.
48. docker ps -a: Listet alle Docker-Container auf.
49. docker system prune: Entfernt nicht verwendete Daten und Container aus Docker.
50. docker ps -a: Listet alle Docker-Container auf.
51. sudo docker run --rm hello-world: Führt das "hello-world"-Image aus und entfernt den Container danach
 automatisch.
52. docker ps -a: Listet alle Docker-Container auf.
53. docker system prune: Entfernt erneut nicht verwendete Daten und Container aus Docker.
54. sudo docker run --rm hello-world: Führt das "hello-world"-Image aus und entfernt den Container danach
 automatisch.
55. docker ps -a: Listet alle Docker-Container auf.
56. docker images ls: Falsche Syntax, sollte docker image ls sein.
57. docker image ls: Listet alle Docker-Images auf.
58. git clone https://github.com/SensorsIot/IOTstack.git: Klont das Repository "IOTstack" von GitHub herunter.
59. cd IOTstack/: Wechselt in das Verzeichnis "IOTstack", das durch das Klonen erstellt wurde.
60. ./install.sh: Führt das Installations-Skript im Verzeichnis "IOTstack" aus.
61. pip3 uninstall -y docker-compose: Deinstalliert "docker-compose" mit Python 3.
62. sudo pip3 uninstall -y docker-compose: Deinstalliert "docker-compose" global mit Python 3.
63. cd IOTstack/: Wechselt erneut in das Verzeichnis "IOTstack".
64. ./install.sh: Führt erneut das Installations-Skript im Verzeichnis "IOTstack" aus.
65. apt policy python3: Zeigt die Installationspolitik für Python 3 im APT-Paketmanager an.
66. apt policy python3.9: Zeigt die Installationspolitik für Python 3.9 im APT-Paketmanager an.
67. sudo apt install python3.9: Installiert Python 3.9 über den APT-Paketmanager.
68. history: Zeigt erneut die Befehlsliste an.
69. python3 --vesion: Falsche Syntax, sollte python3 --version sein.
70. python3 --version: Zeigt die Version von Python 3 an.
71. ./install.sh: Führt erneut das Installations-Skript im Verzeichnis "IOTstack" aus.
72. sudo update-alternatives python3: Setzt Python 3 als Alternative für andere Anwendungen fest.
73. sudo update-alternatives -h: Zeigt Hilfeinformationen für das update-alternatives Kommando an.
74. sudo update-alternatives: Falsche Syntax, sollte sudo update-alternatives --display sein, um die
 aktuellen Alternativen anzuzeigen.
75. which python3.9: Zeigt den Pfad zur ausführbaren Datei von Python 3.9.
76. sudo update-alternatives python3 /usr/bin/python3.9: Setzt Python 3.9 als Standard für Python 3.
77. sudo update-alternatives --set python3 /usr/bin/python3.9: Ähnlich wie die vorherige Zeile, setzt Python 3.9 als Standard.
78. sudo apt upgrade: Aktualisiert alle installierten Pakete auf dem System.
79. sudo update-alternatives --list: Zeigt eine Liste aller definierten Alternativen an.
80. sudo update-alternatives list: Falsche Syntax, sollte sudo update-alternatives --list sein.
81. sudo update-alternatives --config python: Öffnet ein Menü, um die bevorzugte Version von Python auszuw
ählen.
82. sudo update-alternatives --install /usr/bin/python python /usr/bin/python3.9: Fügt Python 3.9 als
 Alternative für Python hinzu.
83. ls -l /usr/bin/python: Zeigt die Details der ausführbaren Datei von Python im Verzeichnis /usr/bin.
84. sudo update-alternatives --install /usr/bin/python python /usr/bin/python3.9: Fügt erneut Python 3.9 als
 Alternative für Python hinzu.
85. sudo update-alternatives --install /usr/bin/python python /usr/bin/python3.9 2: Fügt Python 3.9 mit einer Priorität von 2 als Alternative für Python hinzu.
86. sudo update-alternatives --config python: Öffnet erneut ein Menü, um die bevorzugte Version von Python auszuwählen.
87. python --version: Zeigt die Version von Python an, die derzeit als Standard eingestellt ist.
88. history: Zeigt erneut die Befehlsliste an.
89. ./install.sh: Führt erneut das Installations-Skript im Verzeichnis "IOTstack" aus.
90. python3 -m pip install --upgrade pip: Aktualisiert pip, den Paketmanager für Python, innerhalb von Python3.
91. history: Zeigt erneut die Befehlsliste an.
92. ./install.sh: Führt erneut das Installations-Skript im Verzeichnis "IOTstack" an.
93. ./menu.sh: Führt das Skript "menu.sh
